Difference between revisions of "Buildroot:Python2Packages"

From eLinux.org
Jump to: navigation, search
(xcb-proto and host-xcb-proto both depend on python3 now.)
(One intermediate revision by the same user not shown)
Line 5: Line 5:
 
These packages integrate with Python2: either they contain scripts written in Python, or they install Python libraries as byproducts.
 
These packages integrate with Python2: either they contain scripts written in Python, or they install Python libraries as byproducts.
  
* alsa-lib (install Python module with option BR2_PACKAGE_ALSA_LIB_PYTHON): To be tested
+
* <s>alsa-lib</s>
 
* <s>crudini:currently in v0.9, can be bumped to 0.9.3 which adds py3 support. Patch series pending: https://patchwork.ozlabs.org/project/buildroot/list/?series=156917</s> DONE !
 
* <s>crudini:currently in v0.9, can be bumped to 0.9.3 which adds py3 support. Patch series pending: https://patchwork.ozlabs.org/project/buildroot/list/?series=156917</s> DONE !
 
* <s>dstat: currently in v0.7.3, can be bumped to v0.7.4 which adds py3 support</s> DONE!
 
* <s>dstat: currently in v0.7.3, can be bumped to v0.7.4 which adds py3 support</s> DONE!
Line 44: Line 44:
 
* libimxvpuapi
 
* libimxvpuapi
 
* <u>libsigrock</u>
 
* <u>libsigrock</u>
* libxcb
+
* <u>libxcb</u>
 
* <u>midori</u>
 
* <u>midori</u>
 
* <u>nodejs</u>
 
* <u>nodejs</u>
Line 58: Line 58:
 
* <u>webkitgtk</u>
 
* <u>webkitgtk</u>
 
* <u>wpewebkit</u>
 
* <u>wpewebkit</u>
* xcb-proto, host-xcb-proto
+
* <u>xcb-proto, host-xcb-proto</u>
 
* zynq-boot-bin
 
* zynq-boot-bin
  

Revision as of 12:36, 30 December 2021

In an effort to follow the Python2 deprecation on the 1st of January 2020, here is a listing of current Buildroot packages that depend on Python2 (as of master during the [developer days at FOSDEM 2020])

Non Python packages

These packages integrate with Python2: either they contain scripts written in Python, or they install Python libraries as byproducts.

Python packages

(TBD) These packages are Python libraries that can then be imported by Python scripts

Python in the build system

These packages use Python in their build process, hence requiring host-python (or host-python3). We aim at removing dependencies on host-python(2) where possible, and therefore remove conditionals such as illustrated below. This should instead unconditionnally depend on host-python3 now:

ifeq ($(BR2_PACKAGE_PYTHON)
FOO_DEPENDENCIES += host-python
else
FOO_DEPENDENCIES += host-python3
endif

At the moment, the following packages reference host-python(2). In the following list, the packages that are underlined have been migrated and tested with only host-python3 by Titouan[1]. This will be posted soon in a series to the mailing list.

  • ca-certificates
  • canfestival: Removed
  • host-dbus-python
  • host-gdb
  • gnuradio
  • gst1-validate
  • host-gtest
  • libimxvpuapi
  • libsigrock
  • libxcb
  • midori
  • nodejs
  • ogre
  • host-omniorb
  • qpid-proton
  • qt5webengine
  • qt5webkit
  • rust
  • sdbusplus
  • spidermonkey: Removed! Spidermonkey was only used for Polkit which now used duktape as the backend.
  • tvheadend
  • webkitgtk
  • wpewebkit
  • xcb-proto, host-xcb-proto
  • zynq-boot-bin

waf

The waf-package infrastructure has been fully migrated to host-python3

Scons

All packages using SCons (no dedicated infrastructure) have been migrated to host-python3